iPhone Update to iOS 7.0.2 or stay on 4.2.8 JB

Discussion in 'Jailbreaks and iOS Hacks' started by whatthepok, Oct 22, 2013.

  1. whatthepok macrumors newbie

    Joined:
    Oct 8, 2013
    #1
    Checking back in about Jailbreak since 7.0.3 update. I have iOS 7.0.2 if Apple is still signing it. I am currently on JB iOS 4.2.8. Should I update to 7.0.2 just in the case that the bugs are fixed that allow JB on iOS 7 or should I just wait. Also, if I am to update is there a way yet to preserve baseband?
     
  2. darricksailo macrumors 601

    darricksailo

    Joined:
    Dec 18, 2012
    #2
    are you using the iphone 4? According to musclenerd, he said that 7.0.3 shouldn't affect the jailbreak

    you should be able to go back to 4.2.8 if you save your SHSH blobs. if cydia doesn't have it (open cydia and press TSS center), then you can use ifaith (windows only) to dump the blobs

    you can preserve baseband for the 4 using sn0wbreeze or redsn0w to make the custom firmware

    At the moment, there is no program to allow you to make a custom iOS 7 firmware even if your device can do it (3GS,4)
     
  3. whatthepok thread starter macrumors newbie

    Joined:
    Oct 8, 2013
    #3
    Thank you very much for your help. I am using the iPhone 4. So with iFaith I can preserve the baseband and then update to iOS 7 until the eventual JB?
     
  4. XboxMySocks macrumors 68020

    XboxMySocks

    Joined:
    Oct 25, 2009
    #4
    Don't quote me on this, but I'm pretty sure you can't preserve the baseband on iOS 7.
     
  5. rick snagwell macrumors 68040

    rick snagwell

    Joined:
    Feb 12, 2011
    Location:
    oceanside, ca
    #5
    4.2.8 was the best ever. i eventually updated. but will always miss it.
     
  6. darricksailo macrumors 601

    darricksailo

    Joined:
    Dec 18, 2012
    #6
    I'm sorry for not being clear but I stated that no program is out to make a custom firmware for iOS 7 at the moment so no, you cannot upgrade to iOS 7 while also preserving your baseband
     
  7. whatthepok thread starter macrumors newbie

    Joined:
    Oct 8, 2013
    #7
    Thank you for the help. So would you recommend updating to the iOS 7 or wait till there is a JB for iOS 7, which may be in February sadly.
     
  8. darricksailo macrumors 601

    darricksailo

    Joined:
    Dec 18, 2012
    #8
    if you rely on ultrasn0w to unlock your phone, definitely wait or else it'll basically be like an ipod touch
     
  9. whatthepok thread starter macrumors newbie

    Joined:
    Oct 8, 2013
    #9
    So, should I just update to the most recent iOS or stay on my current one to preserve baseband? I do want to JB my phone when the jb it comes out.
     
  10. darricksailo macrumors 601

    darricksailo

    Joined:
    Dec 18, 2012
    #10
    1. Do you rely on ultrasn0w to use your iPhone 4?

    2. Do you still use it as a phone or iPod touch?
     
  11. whatthepok thread starter macrumors newbie

    Joined:
    Oct 8, 2013
    #11
    1. I used iH8sn0w to JB my phone, but if ultrasn0w offers more I'd gladly rely on them.

    2. I use it as a phone
     
  12. darricksailo macrumors 601

    darricksailo

    Joined:
    Dec 18, 2012
    #12
    what is the baseband of your iphone 4? settings -> general -> about

    what's the version of your modem firmware?
     
  13. whatthepok thread starter macrumors newbie

    Joined:
    Oct 8, 2013
    #13
    1.0.06
     
  14. TriJetHero macrumors 601

    TriJetHero

    Joined:
    Oct 13, 2010
    Location:
    World
    #14
    You have a IP4 CDMA version with that Baseband. Preserving your BB does not matter as it cannot be unlocked, it is either locked to Sprint or Verizon.

    BB preservation and unlocking with ultrasn0w only works for GSM models.
     
  15. whatthepok thread starter macrumors newbie

    Joined:
    Oct 8, 2013
    #15
    So, would it be safe to say that I can upgrade to iOS 7.0.X and not worry about losing anything in the long run except for having to wait for JB for iOS 7? I already have my SHSH Blobs backed up
     
  16. TriJetHero macrumors 601

    TriJetHero

    Joined:
    Oct 13, 2010
    Location:
    World
    #16
    if you are using it on sprint or verizon, no it does not matter.

    Make sure you have valid APTtickets/Blobs or download your current blobs with iFaith
     
  17. whatthepok thread starter macrumors newbie

    Joined:
    Oct 8, 2013
    #17
    I have, also already created my custom IPSW with iFaith so I can restore to it.
     

Share This Page